<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $nome = $_POST["nome"];
    $equipe = $_POST["equipe"];
    $diaFolga = $_POST["dia_folga"];

    $arquivo = "folgas.txt";
    $limiteFolgas = 2;

    if (file_exists($arquivo)) {
        $dados = file($arquivo, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
        $contagemFolgas = 0;

        foreach ($dados as $linha) {
            list($data, $funcionario) = explode("|", $linha);

            if ($data == $diaFolga) {
                header("Location: index.php?error=dias_ocupados");
                exit();
            }

            if ($funcionario == $nome) {
                $contagemFolgas++;
                if ($contagemFolgas >= $limiteFolgas) {
                    header("Location: index.php?error=limite_folgas");
                    exit();
                }
            }
        }
    }

    adicionarFolga($arquivo, $diaFolga, $nome);

    header("Location: index.php?success=true");
    exit();
}

function adicionarFolga($arquivo, $dia, $nome) {
    $novaLinha = $dia . "|" . $nome . PHP_EOL;

    file_put_contents($arquivo, $novaLinha, FILE_APPEND | LOCK_EX);
}
?>
