<!DOCTYPE html>
<html>
<head>
    <title>Visualização de Folgas</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
        }

        h2 {
            margin-top: 0;
        }

        table {
            border-collapse: collapse;
            width: 100%;
        }

        table th,
        table td {
            border: 1px solid #ccc;
            padding: 8px;
            text-align: left;
        }

        table th {
            background-color: #f2f2f2;
        }
    </style>
</head>
<body>
    <h2>Visualização de Folgas</h2>

    <?php
    $arquivo = "folgas.txt";
    if (file_exists($arquivo)) {
        $dados = file($arquivo, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

        if (count($dados) > 0) {
            echo "<table>";
            echo "<tr><th>Data</th><th>Funcionário</th></tr>";

            foreach ($dados as $linha) {
                list($data, $funcionario) = explode("|", $linha);
                echo "<tr><td>$data</td><td>$funcionario</td></tr>";
            }

            echo "</table>";
        } else {
            echo "<p>Nenhuma folga registrada.</p>";
        }
    } else {
        echo "<p>O arquivo de folgas não existe.</p>";
    }
    ?>

</body>
</html>
