<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $nome = $_POST["nome"];
    $equipe = $_POST["equipe"];
    $diaFolga1 = $_POST["dia_folga1"];
    $diaFolga2 = $_POST["dia_folga2"];

    $arquivo = "folgas.txt";
    
    if (file_exists($arquivo)) {
        $dados = file($arquivo, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

        foreach ($dados as $linha) {
            list($data, $funcionario) = explode("|", $linha);

            if ($data == $diaFolga1 || $data == $diaFolga2) {
                header("Location: index.php?error=dias_ocupados");
                exit();
            }

            if ($funcionario == $nome && count(array_keys($dados, $funcionario)) >= 2) {
                header("Location: index.php?error=limite_folgas");
                exit();
            }

            // Verifica se o dia já foi marcado por outro colaborador
            if ($data == $diaFolga1 || $data == $diaFolga2) {
                header("Location: index.php?error=folga_ja_marcada");
                exit();
            }
        }
    }

    adicionarFolgas($arquivo, $diaFolga1, $diaFolga2, $nome);

    // Exibe uma mensagem de sucesso
    header("Location: index.php?success=true");
    exit();
}

function adicionarFolgas($arquivo, $dia1, $dia2, $nome) {
    $novaLinha1 = $dia1 . "|" . $nome . PHP_EOL;
    $novaLinha2 = $dia2 . "|" . $nome . PHP_EOL;
    
    $handle = fopen($arquivo, 'a');
    fwrite($handle, $novaLinha1);
    fwrite($handle, $novaLinha2);
    fclose($handle);
}
?>
