<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $nome = $_POST["nome"];
    $equipe = $_POST["equipe"];
    $diaFolga = $_POST["dia_folga"];

    $arquivo = "folgas.txt";
    
    if (file_exists($arquivo)) {
        $dados = file($arquivo, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

        foreach ($dados as $linha) {
            list($data, $funcionario) = explode("|", $linha);

            // Verifica se o dia já está ocupado por outro colaborador
            if ($data == $diaFolga) {
                header("Location: index.php?error=dias_ocupados");
                exit();
            }

            // Verifica se o colaborador atingiu o limite máximo de folgas
            if ($funcionario == $nome && count(array_keys($dados, $funcionario)) >= 2) {
                header("Location: index.php?error=limite_folgas");
                exit();
            }
        }
    }

    adicionarFolga($arquivo, $diaFolga, $nome);

    // Redireciona para a página de sucesso
    header("Location: index.php?success=true");
    exit();
}

function adicionarFolga($arquivo, $dia, $nome) {
    $novaLinha = $dia . "|" . $nome . PHP_EOL;
    
    $handle = fopen($arquivo, 'a');
    fwrite($handle, $novaLinha);
    fclose($handle);
}
?>
